Bug 467061 - FEAT: HTS options for data files should be removed (--data, --config --plan --results)
FEAT: HTS options for data files should be removed (--data, --config --plan -...
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 10:50 EDT by Greg Nichols
Modified: 2014-03-25 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 17:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new environment.py for the Environment class (4.12 KB, text/x-python)
2008-10-15 21:33 EDT, Greg Nichols
no flags Details
Example /etc/hts.xml file (535 bytes, text/xml)
2008-10-15 21:34 EDT, Greg Nichols
no flags Details
Example /etc/hts.xml file (535 bytes, text/plain)
2008-10-15 21:36 EDT, Greg Nichols
no flags Details
hardwaretest.py patch removing options and adding use of Environment (35.97 KB, text/x-python)
2008-10-15 21:37 EDT, Greg Nichols
no flags Details
network.py patch to use Environment for server commands (1.38 KB, patch)
2008-10-15 21:38 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2008-10-15 10:50:01 EDT
Description of problem:

Command line options for renaming/relocating data directories and files
should be removed as general options.  These options aren't useful, and
can cause confusion.

These options include --data, --config, --plan, --results.

Other changes in HTS's commands will allow management of multiple 
results sets, so these options won't be needed for this purpose.
Comment 1 Greg Nichols 2008-10-15 21:33:33 EDT
Created attachment 320504 [details]
new environment.py for the Environment class


This patch adds a new class Environment to the HTS library.  This class
provides access to the locations and nameing of important directories 
and files.   These attributes are stored in an XML file /etc/hts.xml
Comment 2 Greg Nichols 2008-10-15 21:34:34 EDT
Created attachment 320505 [details]
Example /etc/hts.xml file
Comment 3 Greg Nichols 2008-10-15 21:36:13 EDT
Created attachment 320506 [details]
Example /etc/hts.xml file
Comment 4 Greg Nichols 2008-10-15 21:37:54 EDT
Created attachment 320507 [details]
hardwaretest.py patch removing options and adding use of Environment
Comment 5 Greg Nichols 2008-10-15 21:38:59 EDT
Created attachment 320508 [details]
network.py patch to use Environment for server commands
Comment 7 Yan Tian 2009-01-01 22:32:38 EST
Verified '-d DATA', '-c CFG', '-p PLAN', '-r RESULTS' were no included in hts-5.3-12.
Comment 9 errata-xmlrpc 2009-01-27 17:58:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0047.html

Note You need to log in before you can comment on or make changes to this bug.